<script lang="ts">
  import Item from '$lib/components/Items/Item.svelte';
  import Tag from '$lib/components/Tag.svelte';
  import { PUBLIC_API_URL } from '$env/static/public';
  import EditSvg from '$lib/components/svg/EditSvg.svelte';
  import DeleteSvg from '$lib/components/svg/DeleteSvg.svelte';
  import { axiosInstance } from '$lib/config';

  export let id: number,
    attachment: any = null,
    name: string,
    category: any,
    tags: any[] = [],
    admin: boolean = false;

  const href = `${PUBLIC_API_URL}/attachment/${attachment?.id}`;

  async function handleRemove() {
    try {
      const res = await axiosInstance.delete(`/research/${id}`);

      if (res.status === 200) {
        window.location.reload();
      }
    } catch (err) {
      console.error(err);

      alert('Возникла ошибка. Попробуйте повторить действие.');
    }
  }
</script>

<Item>
    <section class="space-y-2">
        <h2 class="text-2xl font-serif">{name}</h2>
        <p class="text-neutral-600">{category?.name}</p>
        <section class="flex flex-wrap gap-4">
            {#each tags as { name }}
                <Tag noSelect {name}/>
            {/each}
        </section>
    </section>
    {#if admin}
        <section class="flex gap-6 items-center">
            <a href="/admin/research/{id}" class="cursor-pointer">
                <EditSvg/>
            </a>
            <!--            <a href="/admin/research/" class="cursor-pointer"><ViewSvg/></a>-->
            <button on:click={handleRemove}>
                <DeleteSvg/>
            </button>
        </section>
    {:else}
        <section class="flex flex-col justify-center items-center">
            <a {href}
               class="text-lg text-blue-700 font-bold font-serif hover:underline decoration-blue-700">Скачать</a>
            <p class="text-neutral-600 font-bold font-serif">{(attachment?.size / 1024).toFixed(2)} КБ</p>
        </section>
    {/if}
</Item>